Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615855 - SELinux is preventing /usr/sbin/smbd "kill" access .
SELinux is preventing /usr/sbin/smbd "kill" access .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:45ec81e05f7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-19 02:15 EDT by Vassili Leonov
Modified: 2010-07-22 22:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-39.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 22:27:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vassili Leonov 2010-07-19 02:15:59 EDT
Summary:

SELinux is preventing /usr/sbin/smbd "kill" access .

Detailed Description:

SELinux denied access requested by smbd. It is not expected that this access is
required by smbd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:smbd_t:s0
Target Context                unconfined_u:system_r:smbd_t:s0
Target Objects                None [ capability ]
Source                        smbd
Source Path                   /usr/sbin/smbd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           samba-3.4.7-58.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-118.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.32.14-127.fc12.i686.PAE #1 SMP Fri May 28
                              04:47:04 UTC 2010 i686 i686
Alert Count                   1
First Seen                    Fri 09 Jul 2010 09:01:51 AM MSD
Last Seen                     Fri 09 Jul 2010 09:01:51 AM MSD
Local ID                      23668c0d-c4ae-460b-ae7c-8c6bf751a08f
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278651711.360:33010): avc:  denied  { kill } for  pid=23724 comm="smbd" capability=5  scontext=unconfined_u:system_r:smbd_t:s0 tcontext=unconfined_u:system_r:smbd_t:s0 tclass=capability

node=(removed) type=SYSCALL msg=audit(1278651711.360:33010): arch=40000003 syscall=37 success=no exit=-1 a0=55c5 a1=a a2=b4fff4 a3=1cecbf8 items=0 ppid=1 pid=23724 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=16 comm="smbd" exe="/usr/sbin/smbd" subj=unconfined_u:system_r:smbd_t:s0 key=(null)



Hash String generated from  catchall,smbd,smbd_t,smbd_t,capability,kill
audit2allow suggests:

#============= smbd_t ==============
allow smbd_t self:capability kill;
Comment 1 Miroslav Grepl 2010-07-19 12:59:13 EDT
Fixed in selinux-policy-3.7.19-38.fc13
Comment 2 Fedora Update System 2010-07-21 11:33:47 EDT
selinux-policy-3.7.19-39.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-39.fc13
Comment 3 Fedora Update System 2010-07-22 22:26:36 EDT
selinux-policy-3.7.19-39.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.